{
    "version": "0.0.1",
    "modules": [
        {
            "type": "qa-nav-menu",
            "displayName": "Dialog 1",
            "name": "dialog1",
            "iconUrl": "orange.png",
            "show": true,
			"actionType": "dialog",
			"frameUrl": "https://example.com/",
			"showInReadOnly": false,
			"showInAllSections": true,
			"menu": "root",
			"hasChildren": false,
			"dialogConfig": {
				"height": 500,
				"width": 700
			}
        },
        {
            "type": "qa-nav-menu",
            "displayName": "Menu 1",
            "name": "submenu1",
            "iconUrl": "strawberry.png",
            "show": true,
			"showInReadOnly": true,
			"showInAllSections": false,
			"menu": "root",
			"hasChildren": true
        },
        {
            "type": "qa-nav-menu",
            "displayName": "Command 1",
            "name": "command1",
            "iconUrl": "mango.png",
            "show": true,
			"actionType": "command",
			"bundle": "command1/menu.js",
			"action": "sampleMenuCommand",
			"showInReadOnly": false,
			"showInAllSections": false,
			"menu": "root",
			"hasChildren": false
        },
        {
            "type": "qa-nav-menu",
            "displayName": "Endpoint 1",
            "name": "endpoint1",
            "iconUrl": "https://image.flaticon.com/icons/png/512/714/714197.png",
            "show": true,
			"actionType": "endpoint",
			"action": "/customer/api/data",
			"showInReadOnly": false,
			"showInAllSections": false,
			"menu": "submenu1",
			"hasChildren": false
        },
        {
            "type": "qa-nav-menu",
            "displayName": "Sub Menu 2",
            "name": "submenu2",
            "iconUrl": "https://image.flaticon.com/icons/png/512/1471/1471429.png",
            "show": true,
			"showInReadOnly": false,
			"showInAllSections": true,
			"menu": "submenu1",
			"hasChildren": true
        },
        {
            "type": "qa-nav-menu",
            "displayName": "Dialog 2",
            "name": "dialog2",
            "iconUrl": "https://image.flaticon.com/icons/png/512/1054/1054117.png",
            "show": true,
			"actionType": "dialog",
			"frameUrl": "https://example.com/",
			"showInReadOnly": false,
			"showInAllSections": true,
			"menu": "submenu2",
			"hasChildren": false
        },
		{
            "type": "qa-nav-menu",
            "displayName": "Dialog 3",
            "name": "dialog3",
            "iconUrl": "https://image.flaticon.com/icons/png/512/765/765634.png",
            "show": true,
			"actionType": "dialog",
			"frameUrl": "https://example.com/",
			"showInReadOnly": false,
			"showInAllSections": true,
			"menu": "submenu2",
			"hasChildren": false
        }
        
    ]
}